Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSnmp({
networkId: "string",
});
export const merakiNetworksSnmpExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_snmp(network_id="string")
pulumi.export("merakiNetworksSnmpExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSnmp(ctx, &networks.LookupSnmpArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSnmpExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSnmp.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSnmpExample"] = example.Apply(getSnmpResult => getSnmpResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSnmpArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSnmp(GetSnmpArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSnmpExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSnmp
arguments:
networkId: string
outputs:
merakiNetworksSnmpExample: ${example.item}
Using getSnmp
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSnmp(args: GetSnmpArgs, opts?: InvokeOptions): Promise<GetSnmpResult>
function getSnmpOutput(args: GetSnmpOutputArgs, opts?: InvokeOptions): Output<GetSnmpResult>def get_snmp(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSnmpResult
def get_snmp_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSnmpResult]func LookupSnmp(ctx *Context, args *LookupSnmpArgs, opts ...InvokeOption) (*LookupSnmpResult, error)
func LookupSnmpOutput(ctx *Context, args *LookupSnmpOutputArgs, opts ...InvokeOption) LookupSnmpResultOutput> Note: This function is named LookupSnmp in the Go SDK.
public static class GetSnmp
{
public static Task<GetSnmpResult> InvokeAsync(GetSnmpArgs args, InvokeOptions? opts = null)
public static Output<GetSnmpResult> Invoke(GetSnmpInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSnmpResult> getSnmp(GetSnmpArgs args, InvokeOptions options)
public static Output<GetSnmpResult> getSnmp(GetSnmpArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSnmp:getSnmp
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSnmp Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Snmp Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Snmp Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Snmp Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Snmp Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Snmp Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSnmpItem
- Access string
- The type of SNMP access. Can be one of 'none' (disabled), 'community' (V1/V2c), or 'users' (V3).
- Community
String string - SNMP community string if access is 'community'.
- Users
List<Get
Snmp Item User> - SNMP settings if access is 'users'.
- Access string
- The type of SNMP access. Can be one of 'none' (disabled), 'community' (V1/V2c), or 'users' (V3).
- Community
String string - SNMP community string if access is 'community'.
- Users
[]Get
Snmp Item User - SNMP settings if access is 'users'.
- access String
- The type of SNMP access. Can be one of 'none' (disabled), 'community' (V1/V2c), or 'users' (V3).
- community
String String - SNMP community string if access is 'community'.
- users
List<Get
Snmp Item User> - SNMP settings if access is 'users'.
- access string
- The type of SNMP access. Can be one of 'none' (disabled), 'community' (V1/V2c), or 'users' (V3).
- community
String string - SNMP community string if access is 'community'.
- users
Get
Snmp Item User[] - SNMP settings if access is 'users'.
- access str
- The type of SNMP access. Can be one of 'none' (disabled), 'community' (V1/V2c), or 'users' (V3).
- community_
string str - SNMP community string if access is 'community'.
- users
Sequence[Get
Snmp Item User] - SNMP settings if access is 'users'.
- access String
- The type of SNMP access. Can be one of 'none' (disabled), 'community' (V1/V2c), or 'users' (V3).
- community
String String - SNMP community string if access is 'community'.
- users List<Property Map>
- SNMP settings if access is 'users'.
GetSnmpItemUser
- Passphrase string
- The passphrase for the SNMP user.
- Username string
- The username for the SNMP user.
- Passphrase string
- The passphrase for the SNMP user.
- Username string
- The username for the SNMP user.
- passphrase String
- The passphrase for the SNMP user.
- username String
- The username for the SNMP user.
- passphrase string
- The passphrase for the SNMP user.
- username string
- The username for the SNMP user.
- passphrase str
- The passphrase for the SNMP user.
- username str
- The username for the SNMP user.
- passphrase String
- The passphrase for the SNMP user.
- username String
- The username for the SNMP user.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
